<?session_start();
require("../conectar.php");
$id=$_POST['id'];
$motivo=$_POST['motivo'];
$usuario=$usuario_login;
$sql="SELECT p.id_pago,p.id_concepto FROM `pagos`as p WHERE p.id_concepto=(select p.id_concepto from pagos as p where id_pago='$id')";
$num=mysql_query($sql);
$id_con=mysql_fetch_array($num);
$idconcepto=$id_con["id_concepto"];
$numer=mysql_num_rows($num);
if($numer==1)
{
$sql="UPDATE pladepagos SET status='Por pagar', id_pago='0' WHERE  id_pago='$id'";
mysql_query($sql);
}

$sqlbit="SELECT 
                p.id_pago,
                p.id_concepto,
				p.id_renta,
				p.fecha as fechapago,
				p.formapago,
				p.monto,
				p.divisa,
				p.concepto,
				p.tipo_moneda,
				p.f_entrada,
				p.f_salida,
				CONCAT(e.nombre,' ',e.a_pat,' ',e.a_mat) as empleado,
				CONCAT(c.inicial,' ',d.clave,' ',d.no_depto) AS	depa,
				p.comprobante
			  FROM `pagos`as p 
			  INNER JOIN empleados as e ON e.id_empleado=p.id_emp 
			  INNER JOIN complejo as c ON c.id_complejo=p.propiedad
			  INNER JOIN departamentos as d ON d.id_departamento=p.clave
			  WHERE p.id_pago='$id'";
$eje=mysql_query($sqlbit);
$dat=mysql_fetch_array($eje);

$fechapago=$dat['fechapago'];
$concepto=$dat['concepto'];
$formapago=$dat['formapago'];
$cantidad=$dat['monto'];
$monedapag=$dat['tipo_moneda'];
$tipodecambio=$dat['divisa'];
$depa=$dat['depa'];
$recibio=$dat['empleado'];
$comprobante=$dat['comprobante'];
$idpago=$dat['id_pago'];
$idconcep=$dat['id_concepto'];
$idrenta=$dat['id_renta'];

$renta="select pa.id_renta,r.id_cliente,c.a_pat,c.a_mat,c.nombre from pagos as pa INNER JOIN renta r ON pa.id_renta=r.id_renta INNER JOIN clientes c ON r.id_cliente=c.id_cliente where pa.id_renta='$idrenta'";
$ejerenta=mysql_query($renta);
$rta=mysql_fetch_array($ejerenta);
$cliente=$rta['a_pat']." ".$rta['a_mat']." ".$rta['nombre'];

$sqlpe="INSERT INTO `pagoseliminados` (`fechaeliminacion`, `fechareg`, `cliente`, `concepto`, `formadepago`, `cantidad`, `moneda`, `divisa`, `propiedad`, `recibio`, `comprobante`, `motivo`, `idpago`, `idconcepto`, `idrenta`, `usuelimino`) VALUES
(CURDATE(), '$fechapago', '$cliente', '$concepto', '$formapago', '$cantidad', '$monedapag', $tipodecambio, '$depa', '$recibio', '$comprobante', '$motivo', '$idpago', '$idconcep','$idrenta','$usuario')";
mysql_query($sqlpe);


$sql="DELETE FROM pagos WHERE pagos.id_pago='$id' LIMIT 1";
mysql_query($sql);
  $sql="SELECT subtotal as total, tipomoneda,divisa FROM conceptos WHERE id_concepto='$idconcepto' AND fecha<>'0000-00-00'";
	                     $r=mysql_query($sql);
                         $l=mysql_fetch_array($r);
	                     $total=$l["total"];
	                     $moneda=$l["tipomoneda"];
	                     $divisa=$l["divisa"];
	                     if($moneda!="USD"){
	                     $total=round($total/$divisa,2);
	                     }
	
	                    $sql="SELECT monto,tipo_moneda,divisa  FROM pagos WHERE id_concepto='$idconcepto'  AND fecha<>'0000-00-00'";
	                     $r=mysql_query($sql);
                         while($l=mysql_fetch_array($r)){
                             $totalpagado=$l["monto"];
                             $monedapago=$l["tipo_moneda"];
		                     $divisa=$l["divisa"];
	                         if($monedapago!="USD"){
	                             $totalpagado=$totalpagado/$divisa;
	                         }
		                      $totalp=$totalp+$totalpagado;
	                         }
	                         $totalp=round($totalp,2);
	                         $resto=$total-$totalp;
	                         if($resto<=0 || $resto<="0.00"){
	                             $status="PAGADO";
	                         }elseif(($resto>0 || $resto>"0.00") && $resto<$total){
	                             $status="ANTICIPO";
	                         }elseif($resto==$total){
	                             $status="LIBRE";
	                         }
	                      $sql="UPDATE conceptos SET status_renta='$status' WHERE id_concepto='$idconcepto'";
                          mysql_query($sql);


?>﻿